get
https://api.rotowire.com/Soccer/MLS/News.php
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
date | string | No | Date to retrieve news for. Format YYYY-MM-DD. Defaults to current date. |
hours | integer | No | Return news from the last N hours. |
max_priority | integer | No | Return only news at or above this priority level. |
with_analysis | integer | No | Include analytical commentary. 1 = Yes, 0 = No. Options: 0, 1 · Default: 1 |
Attributes
Top-Level Fields
| Field | Type | Description |
|---|---|---|
Date | string | Date in YYYY-MM-DD format |
Updates | array | Array of news or injury update objects |
Updates Object
| Field | Type | Description |
|---|---|---|
Id | string | Unique RotoWire identifier |
DateTime | string | Date and time in ISO 8601 format |
Priority | string | News priority level — 1 = Biggest News, 2 = Top Players, 3 = Regular, 4 = Minor Leaguers, 5 = Non-Fantasy |
IsTransaction | integer | 1 if this update is a roster transaction, 0 if it is a news item |
Headline | string | Short headline summarizing the update |
Notes | string | Brief factual notes about the player or event |
Analysis | string | In-depth analytical commentary on fantasy and betting impact |
Player | object | Player information object |
Team | object | Team information object |
Player Object
| Field | Type | Description |
|---|---|---|
FirstName | string | Player's first name |
LastName | string | Player's last name |
Position | string | Player's eligible position(s) (e.g. GK, DEF, MID, FWD) |
Link | string | URL to the player's RotoWire profile page |
Id | string | Unique RotoWire identifier |
Team Object
| Field | Type | Description |
|---|---|---|
Name | string | Full name |
Id | string | Unique RotoWire identifier |
Example Response
{"Date":"2026-05-14","Updates":[{"Id":"515858","DateTime":"2026-05-14 00:05:14.533","Priority":"3","IsTransaction":0,"Headline":"Suspended one game","Notes":"D\u0027Avilla will serve a one-match ban due to an accumulation of five yellow cards in the MLS.","Analysis":"D\u0027Avilla picked up his fifth yellow card in the MLS and will serve a one-match suspension for Saturday\u0027s clash against Montreal. The midfielder has been an undisputed starter in the engine room for Chicago this season, therefore his absence will force a change in the starting XI, with Mauricio Pineda expected to start in his place for that game.","Player":{"FirstName":"Dje","LastName":"D\u0027Avilla","Position":"M/D","Link":"https://www.rotowire.com/soccer/player/dje-davilla-46416","Id":"46416"},"Team":{"Name":"Chicago Fire","Id":"134"}},{"Id":"515859","DateTime":"2026-05-14 00:06:58.900","Priority":"3","IsTransaction":0,"Headline":"Set for suspension","Notes":"Diaz will serve a one-match ban due to an accumulation of five yellow cards in the MLS.","Analysis":"Diaz picked up his fifth yellow card in the MLS and will serve a one-match suspension for Saturday\u0027s clash against New England. The defender has been an undisputed starter in the back line for Minnesota this season, therefore his absence will force a change in the starting XI, with Nicolas Romero expected to start in his place for that game.","Player":{"FirstName":"Jefferson","LastName":"Diaz","Position":"D","Link":"https://www.rotowire.com/soccer/player/jefferson-diaz-44005","Id":"44005"},"Team":{"Name":"Minnesota United","Id":"512"}}]}